REM ============================================================
REM FILE: Compile.bat
REM DESC: This File will Compile the Applet
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR cmn
MKDIR util
MKDIR co2 
MKDIR co2\gui
MKDIR co2\io
MKDIR co2\math

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .
COPY src\cmn\*.java cmn
COPY src\util\*.java util
COPY src\co2\gui\*.java co2\gui
COPY src\co2\io\*.java co2\io
COPY src\co2\math\*.java co2\math

REM ------------------------------------------------------------
REM COMPILE Simple LAS Plot
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation CO2.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java
DEL cmn\*.java
DEL util\*.java
DEL co2\gui\*.java
DEL co2\io\*.java
DEL co2\math\*.java

REM ------------------------------------------------------------
REM REMOVE the old LAS Jar File
REM BUILD JAR File for the LAS Plot
REM ------------------------------------------------------------

DEL CO2.txt

C:\jdk1.7.0_25\bin\jar cvfm CO2.jar Manifest.txt *.class cmn util co2 images
C:\jdk1.7.0_25\bin\jar tvf CO2.jar > CO2.txt

MOVE *.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL cmn /q
DEL util /q
DEL co2\gui /q
DEL co2\io /q
DEL co2\math /q

RMDIR cmn 
RMDIR util
RMDIR co2\gui
RMDIR co2\io
RMDIR co2\math
RMDIR co2

DEL *.class
